swage.css 27 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181118211831184118511861187118811891190119111921193119411951196119711981199120012011202120312041205120612071208120912101211121212131214121512161217121812191220122112221223122412251226122712281229123012311232123312341235123612371238123912401241124212431244124512461247124812491250125112521253125412551256125712581259126012611262126312641265126612671268126912701271127212731274127512761277127812791280128112821283128412851286128712881289129012911292129312941295129612971298129913001301130213031304130513061307130813091310131113121313131413151316131713181319132013211322132313241325132613271328132913301331133213331334133513361337133813391340134113421343134413451346134713481349135013511352135313541355135613571358135913601361136213631364136513661367136813691370137113721373137413751376137713781379138013811382138313841385138613871388138913901391139213931394139513961397139813991400140114021403140414051406140714081409141014111412141314141415141614171418141914201421142214231424142514261427142814291430143114321433143414351436143714381439144014411442144314441445144614471448144914501451145214531454145514561457145814591460146114621463146414651466146714681469147014711472147314741475147614771478147914801481148214831484148514861487148814891490149114921493149414951496149714981499150015011502150315041505150615071508150915101511151215131514151515161517151815191520152115221523152415251526152715281529153015311532153315341535153615371538153915401541154215431544154515461547154815491550155115521553155415551556155715581559156015611562156315641565156615671568156915701571157215731574157515761577157815791580158115821583158415851586158715881589159015911592159315941595159615971598159916001601160216031604160516061607160816091610161116121613161416151616161716181619162016211622162316241625162616271628162916301631163216331634163516361637163816391640164116421643164416451646164716481649165016511652165316541655165616571658165916601661166216631664166516661667166816691670167116721673167416751676167716781679168016811682168316841685168616871688168916901691169216931694169516961697169816991700170117021703170417051706170717081709171017111712171317141715
  1. @charset "UTF-8";
  2. /* colors */
  3. :root {
  4. --color-base-text: #181621;
  5. --color-base-light: #f5f3f3;
  6. --color-base-nav: #0062be;
  7. --color-base-aside: #22303d;
  8. --color-base-alert: #fa8052;
  9. --color-base-good: #5eaabf;
  10. --color-base-bad: #b0425b;
  11. --color-base-grey: #e3e3e3;
  12. --color-base-grey-transparent: #d9d9d9bb;
  13. --color-base-stared: #fff6da;
  14. --color-base-unread: #fff3ed;
  15. --color-base-hover: #fff;
  16. --color-text-light: var(--color-base-light);
  17. --color-text-light-darker: color(from var(--color-base-light) hsl h s calc(l - 40%));
  18. --color-text-dark: var(--color-base-text);
  19. --color-text-nav: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  20. --color-text-aside: var(--color-base-aside);
  21. --color-text-alert: var(--color-base-alert);
  22. --color-text-good: var(--color-base-good);
  23. --color-text-bad: var(--color-base-bad);
  24. --color-text-bad-lighter: color(from var(--color-base-bad) hsl h s calc(l + 10%));
  25. --color-text-shadow-light: var(--color-base-light);
  26. --color-box-shadow-light: color(from var(--color-base-light) hsl h s calc(l - 10%));
  27. --color-border-light: var(--color-base-light);
  28. --color-border-light-darker: color(from var(--color-base-light) hsl h s calc(l - 10%));
  29. --color-border-grey: var(--color-base-grey);
  30. --color-border-nav: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  31. --color-border-bad: var(--color-base-bad);
  32. --color-background-light: var(--color-base-light);
  33. --color-background-light-darker: color(from var(--color-base-light) hsl h s calc(l - 10%));
  34. --color-background-light-darker-transparent: var(--color-base-grey-transparent);
  35. --color-background-dark: var(--color-base-text);
  36. --color-background-nav: var(--color-base-nav);
  37. --color-background-nav-darker: color(from var(--color-base-nav) hsl h s calc(l - 10%));
  38. --color-background-aside: var(--color-base-aside);
  39. --color-background-alert: var(--color-base-alert);
  40. --color-background-alert-darker: color(from var(--color-base-alert) hsl h s calc(l - 10%));
  41. --color-background-good: var(--color-base-good);
  42. --color-background-bad: color(from var(--color-base-bad) hsl h s calc(l + 10%));
  43. --color-background-stared: var(--color-base-stared);
  44. --color-background-unread: var(--color-base-unread);
  45. --color-background-hover: var(--color-base-hover);
  46. --frss-scrollbar-handle: rgba(0, 0, 0, 0.1);
  47. --frss-scrollbar-handle-hover: rgba(0, 0, 0, 0.4);
  48. --frss-scrollbar-track: rgba(0, 0, 0, 0.05);
  49. --frss-scrollbar-track-hover: rgba(0, 0, 0, 0.1);
  50. --min-height-input: 25px;
  51. --margin-top-input: 4px;
  52. --border-input-default: 2px solid var(--color-border-grey);
  53. --min-height-nav-list: 2.5em;
  54. --line-height-nav-list: 2.5;
  55. --padding-dropdown: 0 22px;
  56. --font-size-dropdown: 0.8rem;
  57. --line-height-dropdown: 2.5;
  58. --width-aside: 231px;
  59. }
  60. /* Compatibility: CSS Color Module Level 4, Relative Color */
  61. @supports not (color: color(from white hsl h s calc(l - 10%))) {
  62. :root {
  63. --color-text-light-darker: #988484;
  64. --color-text-nav: #00488b;
  65. --color-text-bad-lighter: #c46178;
  66. --color-box-shadow-light: #ded7d7;
  67. --color-border-light-darker: #ded7d7;
  68. --color-border-nav: #00488b;
  69. --color-background-light-darker: #ded7d7;
  70. --color-background-nav-darker: #00488b;
  71. --color-background-alert-darker: #f95c20;
  72. --color-background-bad: #c46178;
  73. }
  74. }
  75. html,
  76. body {
  77. color: var(--color-text-dark);
  78. font-family: Helvetica, Arial, sans-serif;
  79. }
  80. body:not(.normal):not(.reader) nav.configure a.dropdown-toggle,
  81. li.tree-folder span.title {
  82. margin-left: 0.25rem;
  83. }
  84. :root.file_query {
  85. .nav-pagination {
  86. margin-top: 6rem;
  87. }
  88. ul.pagination {
  89. a {
  90. padding: 0 0.2rem 0 0.2rem;
  91. }
  92. }
  93. .view-rss > .icon {
  94. filter: brightness(0);
  95. }
  96. main > h1:first-child {
  97. margin-top: 2rem;
  98. }
  99. }
  100. #slider-content #feed_update fieldset .form-group:last-child {
  101. margin-bottom: 0.4rem;
  102. }
  103. .configure.open-slider > .icon {
  104. filter: brightness(0.4);
  105. }
  106. a {
  107. color: var(--color-text-nav);
  108. outline: none;
  109. &#btn-subscription {
  110. width: 76%;
  111. }
  112. &#btn-add {
  113. width: 5%;
  114. }
  115. }
  116. img {
  117. &.icon:hover {
  118. background: none;
  119. }
  120. }
  121. sup {
  122. top: -0.3em;
  123. }
  124. legend {
  125. margin: 20px 0 5px;
  126. padding: 5px 20px;
  127. background-color: var(--color-background-aside);
  128. display: inline-block;
  129. width: auto;
  130. color: var(--color-text-light);
  131. font-size: 1.4em;
  132. clear: both;
  133. }
  134. label {
  135. min-height: var(--min-height-input);
  136. }
  137. :is(textarea, input, select) {
  138. min-height: var(--min-height-input);
  139. margin-top: var(--margin-top-input);
  140. background-color: var(--color-background-light);
  141. border: var(--border-input-default);
  142. &:focus {
  143. border: 2px solid var(--color-background-dark);
  144. outline: none;
  145. }
  146. }
  147. :is(input, select) {
  148. &:invalid {
  149. padding-left: 5px;
  150. color: var(--color-text-bad);
  151. border-left-color: var(--color-border-bad);
  152. border-left-width: 5px;
  153. box-shadow: none;
  154. }
  155. &:disabled {
  156. background-color: var(--color-background-light);
  157. }
  158. }
  159. option {
  160. padding: 0 .5em;
  161. }
  162. table {
  163. border-collapse: collapse;
  164. }
  165. td,
  166. th {
  167. border: 1px solid var(--color-border-light-darker);
  168. }
  169. th {
  170. background-color: var(--color-background-light);
  171. }
  172. form {
  173. td,
  174. th {
  175. font-weight: normal;
  176. text-align: center;
  177. }
  178. }
  179. .title.error::before {
  180. display: inline-block;
  181. padding-right: 7px;
  182. width: 16px;
  183. content: url(../Swage/icons/error.svg);
  184. }
  185. .form-group {
  186. padding: 5px;
  187. border: 1px solid transparent;
  188. &:hover {
  189. background-color: var(--color-background-light);
  190. border: 1px solid var(--color-border-light);
  191. }
  192. &.form-actions {
  193. margin: 15px 0 25px;
  194. padding: 5px 0;
  195. background-color: var(--color-background-light-darker-transparent);
  196. border-top: 3px solid var(--color-border-light-darker);
  197. .btn, a {
  198. margin-left: 1rem;
  199. }
  200. }
  201. .group-name {
  202. padding: 10px 0;
  203. text-align: right;
  204. }
  205. .group-controls {
  206. min-height: 25px;
  207. padding: 5px 0;
  208. .control {
  209. line-height: 2.0;
  210. }
  211. }
  212. }
  213. .form-group::after {
  214. display: block;
  215. clear: both;
  216. }
  217. .stick {
  218. select {
  219. margin-top: 0;
  220. }
  221. &.configure-feeds {
  222. margin: 0.5rem 0 1rem 0.3rem;
  223. width: var(--width-aside);
  224. }
  225. }
  226. .btn {
  227. margin: 0;
  228. padding: 0.25rem 0.5rem;
  229. background-color: var(--color-background-nav);
  230. color: var(--color-text-light);
  231. font-size: 0.9rem;
  232. border: none;
  233. min-height: 25px;
  234. min-width: 15px;
  235. vertical-align: middle;
  236. line-height: 1.5;
  237. text-decoration: none;
  238. &.active,
  239. &:active,
  240. &:hover {
  241. background-color: var(--color-background-nav-darker);
  242. text-decoration: none;
  243. }
  244. .icon {
  245. filter: brightness(3);
  246. }
  247. }
  248. .btn-important, .btn-attention {
  249. font-weight: normal;
  250. background-color: var(--color-background-alert);
  251. color: var(--color-text-light);
  252. &:hover,
  253. :active {
  254. background-color: var(--color-background-alert-darker) !important;
  255. }
  256. }
  257. .manage-list {
  258. .configure {
  259. .icon {
  260. filter: brightness(0.4);
  261. vertical-align: sub;
  262. }
  263. &:hover {
  264. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  265. }
  266. }
  267. }
  268. .switch.active {
  269. background-color: var(--color-background-nav);
  270. &:hover {
  271. background-image: url('./icons/disabled-light.svg');
  272. }
  273. }
  274. .nav-list {
  275. font-size: 0.9rem;
  276. .item {
  277. min-height: var(--min-height-nav-list);
  278. line-height: var(--line-height-nav-list);
  279. .nav-header {
  280. min-height: var(--min-height-nav-list);
  281. line-height: var(--line-height-nav-list);
  282. padding: 0 1rem;
  283. font-weight: bold;
  284. background-color: var(--color-background-aside);
  285. color: var(--color-text-light);
  286. cursor: default;
  287. }
  288. a:hover,
  289. .as-link:hover {
  290. background-color: var(--color-background-nav-darker);
  291. color: var(--color-text-light);
  292. }
  293. &.active {
  294. background: var(--color-background-nav-darker);
  295. color: var(--color-text-light);
  296. a,
  297. .as-link {
  298. color: var(--color-text-light);
  299. }
  300. }
  301. > a,
  302. > .as-link {
  303. padding: 0 1.5rem;
  304. }
  305. .icon {
  306. filter: brightness(3);
  307. }
  308. }
  309. .nav-form {
  310. padding: 3px;
  311. text-align: center;
  312. }
  313. a:hover,
  314. .as-link:hover {
  315. text-decoration: none;
  316. }
  317. }
  318. .dropdown-menu {
  319. padding: 0.5rem 0 1rem 0;
  320. font-size: var(--font-size-dropdown);
  321. text-align: left;
  322. border: none;
  323. background-color: var(--color-background-nav-darker);
  324. .item > a,
  325. .item > .as-link,
  326. .item > span {
  327. width: 96% !important;
  328. }
  329. .dropdown-header {
  330. cursor: default;
  331. padding: 0.5rem 10px 0.5rem 10px;
  332. font-weight: bold;
  333. color: var(--color-text-light);
  334. a,
  335. .as-link {
  336. padding: 0.1rem 0.3rem 0.3rem 0.3rem;
  337. position: absolute;
  338. right: 5px;
  339. margin-top: -3px;
  340. &:hover {
  341. background-color: var(--color-background-nav);
  342. }
  343. }
  344. }
  345. .dropdown-section {
  346. .dropdown-section-title {
  347. cursor: default;
  348. padding: 0.25rem 0.5rem 0.125rem 0.25rem;
  349. font-weight: bold;
  350. color: var(--color-text-light);
  351. }
  352. .item {
  353. a,
  354. .as-link {
  355. padding: var(--padding-dropdown);
  356. &:hover {
  357. background-color: var(--color-background-nav);
  358. }
  359. }
  360. }
  361. }
  362. & > .item {
  363. padding: 0 0 0 0.5rem;
  364. }
  365. .item {
  366. color: var(--color-text-light);
  367. font-size: var(--font-size-dropdown);
  368. line-height: var(--line-height-dropdown);
  369. > :is(a, .as-link, span, button) {
  370. padding: var(--padding-dropdown);
  371. color: var(--color-text-light);
  372. font-size: var(--font-size-dropdown);
  373. line-height: var(--line-height-dropdown);
  374. }
  375. > a {
  376. min-width: initial;
  377. white-space: nowrap;
  378. }
  379. > :is(a, button):hover {
  380. background-color: var(--color-background-nav);
  381. color: var(--color-text-light);
  382. }
  383. }
  384. & > .item[aria-checked="true"] > a::before {
  385. font-weight: bold;
  386. margin: 0 0 0 -14px;
  387. }
  388. .help a {
  389. color: var(--color-text-light);
  390. text-decoration: underline;
  391. text-decoration-style: dotted;
  392. &:hover {
  393. text-decoration-style: solid;
  394. }
  395. }
  396. .input {
  397. select,
  398. input {
  399. margin: 0 auto 5px;
  400. padding: 2px 5px;
  401. }
  402. }
  403. }
  404. #dropdown-search-wrapper .dropdown-menu {
  405. padding-top: 1rem;
  406. padding-bottom: 0.25rem;
  407. a {
  408. padding: 0;
  409. }
  410. .stick.search {
  411. width: 100%;
  412. input[type="search"] {
  413. width: 100%;
  414. border: 0;
  415. }
  416. .btn:hover {
  417. filter: brightness(0.9);
  418. }
  419. }
  420. }
  421. .item ~ .dropdown-header,
  422. .item.separator {
  423. border-top-color: var(--color-border-light-darker);
  424. cursor: default;
  425. }
  426. li.item.separator {
  427. padding-top: 0.4rem;
  428. }
  429. .alert {
  430. margin: 0.25rem auto;
  431. background-color: var(--color-background-light);
  432. color: var(--color-text-light-darker);
  433. font-size: 0.9em;
  434. border: none;
  435. text-shadow: 0 0 1px var(--color-text-shadow-light);
  436. > a {
  437. color: inherit;
  438. text-decoration: underline;
  439. }
  440. }
  441. .alert-head {
  442. font-size: 1.15em;
  443. }
  444. .alert-warn,
  445. .alert-success,
  446. .alert-error {
  447. border: none;
  448. }
  449. .alert-warn {
  450. background-color: var(--color-background-light);
  451. color: var(--color-text-alert);
  452. }
  453. .alert-success {
  454. background-color: var(--color-background-light);
  455. color: var(--color-text-good);
  456. }
  457. .alert-error {
  458. background-color: var(--color-background-light);
  459. color: var(--color-text-bad);
  460. }
  461. .pagination {
  462. background: var(--color-background-light-darker);
  463. color: var(--color_text);
  464. .item a {
  465. color: var(--color_text);
  466. }
  467. }
  468. .content {
  469. padding: 20px 10px;
  470. hr {
  471. margin: 30px 10px;
  472. background: var(--color-background-light-darker);
  473. height: 1px;
  474. border: 0;
  475. box-shadow: 0 2px 5px var(--color-box-shadow-light);
  476. }
  477. pre {
  478. background-color: var(--color-background-dark);
  479. color: var(--color-text-light);
  480. code {
  481. background: transparent;
  482. color: var(--color-text-light);
  483. border: none;
  484. }
  485. }
  486. code {
  487. background-color: var(--color-background-light);
  488. color: var(--color-text-bad);
  489. border-color: var(--color-border-light);
  490. }
  491. blockquote {
  492. margin: 0;
  493. padding: 5px 20px;
  494. background-color: var(--color-background-light);
  495. display: block;
  496. color: var(--color-text-light-darker);
  497. border-top: 1px solid var(--color-border-light-darker);
  498. border-bottom: 1px solid var(--color-border-light-darker);
  499. p {
  500. margin: 0;
  501. }
  502. }
  503. > h1.title > a {
  504. color: var(--color_text);
  505. }
  506. }
  507. main.post .drop-section li.item.feed a .icon {
  508. filter: brightness(0.4);
  509. }
  510. main.post .drop-section li.item.feed a:hover .icon {
  511. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  512. }
  513. .box {
  514. border: 1px solid var(--color-border-light-darker);
  515. .box-title {
  516. margin: 0;
  517. background-color: var(--color-background-aside);
  518. color: var(--color-text-light);
  519. border-bottom: 1px solid var(--color-border-light-darker);
  520. a {
  521. color: var(--color-text-light);
  522. }
  523. .configure {
  524. margin-right: 4px;
  525. .icon {
  526. &:hover {
  527. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  528. }
  529. }
  530. }
  531. }
  532. .box-content {
  533. max-height: 260px;
  534. .item {
  535. padding: 0 10px;
  536. font-size: 0.9rem;
  537. .configure {
  538. .icon {
  539. vertical-align: middle;
  540. filter: brightness(0.4);
  541. &:hover {
  542. filter: invert(56%) sepia(87%) saturate(1185%) hue-rotate(327deg) brightness(104%) contrast(96%);
  543. }
  544. }
  545. }
  546. }
  547. }
  548. &.category {
  549. .box-title .title {
  550. font-weight: normal;
  551. text-decoration: none;
  552. text-align: left;
  553. }
  554. &:not([data-unread="0"]) .box-title {
  555. background-color: var(--color-background-nav);
  556. &:active {
  557. background: var(--color-background-nav-darker);
  558. }
  559. .title {
  560. font-weight: bold;
  561. color: var(--color-text-light);
  562. }
  563. }
  564. .title:not([data-unread="0"])::after {
  565. background: none;
  566. border: 0;
  567. box-shadow: none;
  568. position: absolute;
  569. top: 5px;
  570. right: 10px;
  571. font-weight: bold;
  572. text-shadow: none;
  573. }
  574. }
  575. &.visible-semi {
  576. border-style: solid;
  577. }
  578. }
  579. .tree {
  580. margin: 10px 0;
  581. }
  582. .aside_feed .tree-folder-title {
  583. padding: 0.3rem 0.75rem;
  584. background-color: var(--color-background-aside);
  585. font-size: 1rem;
  586. position: relative;
  587. .title {
  588. background: inherit;
  589. color: var(--color-text-light);
  590. &:hover {
  591. text-decoration: none;
  592. }
  593. }
  594. }
  595. .tree-folder-items {
  596. background-color: var(--color-background-aside);
  597. > .item {
  598. font-size: 0.8rem;
  599. &.active {
  600. background-color: var(--color-background-nav-darker);
  601. }
  602. > a {
  603. text-decoration: none;
  604. color: var(--color-text-light);
  605. }
  606. }
  607. }
  608. .item.search {
  609. display: none;
  610. }
  611. .header {
  612. height: auto;
  613. position: sticky;
  614. top: 0;
  615. z-index: 96; /* above .nav_menu (90) and .item.configure (95) */
  616. > .item {
  617. padding: 0;
  618. vertical-align: middle;
  619. &.title {
  620. position: absolute;
  621. text-align: center;
  622. a {
  623. padding: 0 1rem;
  624. &:hover {
  625. .logo {
  626. filter: grayscale(100%) brightness(100) opacity(90%);
  627. }
  628. }
  629. }
  630. .logo {
  631. display: inline-block;
  632. height: 26px;
  633. vertical-align: top;
  634. position: relative;
  635. top: 5px;
  636. filter: grayscale(100%) brightness(100);
  637. }
  638. }
  639. }
  640. .item.configure {
  641. position: absolute;
  642. top: 0;
  643. right: 0;
  644. z-index: 95;
  645. width: 35px;
  646. text-align: center;
  647. line-height: 0.8;
  648. > .icon {
  649. filter: brightness(3);
  650. margin-right: 5px;
  651. margin-top: 3px;
  652. }
  653. .dropdown .dropdown-menu {
  654. max-height: calc(100vh - 45px);
  655. overflow: auto;
  656. .icon {
  657. filter: brightness(3);
  658. }
  659. }
  660. }
  661. }
  662. .aside {
  663. background-color: var(--color-background-aside);
  664. padding-top: 2.5rem;
  665. &.aside_feed {
  666. .tree {
  667. margin: 0 0 50px;
  668. }
  669. .tree-folder {
  670. .tree-folder-title,
  671. .item.feed {
  672. &:hover {
  673. background-color: var(--color-background-nav-darker);
  674. }
  675. }
  676. }
  677. .nav-form {
  678. input,
  679. select {
  680. width: 140px;
  681. }
  682. .dropdown {
  683. .dropdown-menu {
  684. right: -20px;
  685. }
  686. .dropdown-menu::after {
  687. right: 33px;
  688. }
  689. }
  690. }
  691. }
  692. }
  693. #aside_feed > ul > li:first-child {
  694. margin-top: 0.4rem;
  695. }
  696. .aside_feed {
  697. .category .title:not([data-unread="0"])::after {
  698. margin: 0.5rem 0 0 0;
  699. background-color: var(--color-background-nav-darker);
  700. color: var(--color-text-light);
  701. }
  702. .feed .item-title:not([data-unread="0"])::after {
  703. background-color: var(--color-background-nav);
  704. color: var(--color-text-light);
  705. }
  706. .tree-folder-items .dropdown-menu::after {
  707. left: 2px;
  708. }
  709. .about {
  710. margin: 0.2rem 0 1rem 0;
  711. display: block;
  712. font-size: 0.8em;
  713. text-align: center;
  714. font-style: italic;
  715. }
  716. }
  717. .toggle_aside {
  718. margin-bottom: 1rem;
  719. }
  720. .aside.visible .toggle_aside {
  721. border-bottom: 1px solid var(--frss-border-color);
  722. }
  723. .reader {
  724. .aside {
  725. .toggle_aside {
  726. background-color: var(--color-background-aside);
  727. .icon {
  728. filter: brightness(3);
  729. }
  730. &:hover {
  731. background-color: var(--color-background-nav);
  732. }
  733. }
  734. }
  735. }
  736. .post {
  737. font-size: 0.9em;
  738. input {
  739. &.long {
  740. height: 33px;
  741. margin-top: 0px;
  742. }
  743. }
  744. }
  745. #global {
  746. height: 100vh;
  747. }
  748. #new-article {
  749. width: var(--width-aside);
  750. font-size: 1em;
  751. background-color: var(--color-background-nav);
  752. text-align: center;
  753. position: fixed;
  754. bottom: 48px;
  755. z-index: 900;
  756. left: 0;
  757. line-height: 1.5;
  758. > a {
  759. padding: 1rem;
  760. line-height: 1.5;
  761. font-weight: bold;
  762. color: var(--color-text-light);
  763. &:hover {
  764. text-decoration: none;
  765. background-color: var(--color-background-nav-darker);
  766. }
  767. }
  768. }
  769. .transition {
  770. padding: 0 10px;
  771. font-weight: bold;
  772. line-height: 3;
  773. text-align: center;
  774. .name {
  775. display: none;
  776. }
  777. }
  778. .nav {
  779. a,
  780. .as-link {
  781. color: var(--color-text-light);
  782. }
  783. }
  784. .nav_menu {
  785. padding: 0 0 0 2rem;
  786. width: 100%;
  787. box-sizing: border-box;
  788. font-size: 0;
  789. background-color: var(--color-background-nav);
  790. text-align: left;
  791. position: sticky;
  792. top: 0;
  793. z-index: 90;
  794. .item.search {
  795. display: inline-block;
  796. position: absolute;
  797. right: 40px;
  798. input {
  799. border-width: 0;
  800. line-height: 1.95;
  801. }
  802. }
  803. #nav_menu_toggle_aside {
  804. left: 0;
  805. }
  806. #toggle-unread,
  807. #toggle-starred {
  808. .icon {
  809. filter: brightness(1);
  810. }
  811. }
  812. .btn {
  813. box-sizing: content-box;
  814. }
  815. }
  816. .flux {
  817. padding-right: 10px;
  818. background-color: var(--color-background-light);
  819. &::after {
  820. margin: 0 auto;
  821. display: block;
  822. width: 90%;
  823. border-top: 1px solid var(--color-border-light-darker);
  824. clear: both;
  825. }
  826. .flux_header:hover {
  827. background-color: var(--color-background-hover);
  828. &:not(.current):hover .item .title {
  829. background-color: var(--color-background-hover);
  830. }
  831. }
  832. &.current {
  833. border-left: 2px solid var(--color-background-alert-darker);
  834. .flux_header {
  835. background-color: unset;
  836. margin-left: -2px; /* Compensate increased border-left-width */
  837. }
  838. .flux_header:hover {
  839. background: linear-gradient(to right, transparent 0, transparent 2px, var(--color-background-hover) 2px);
  840. }
  841. }
  842. &.favorite:not(.current) {
  843. background-color: var(--color-background-stared);
  844. &:hover .item .title {
  845. background-color: var(--color-background-stared);
  846. }
  847. }
  848. &.not_read:not(.current) {
  849. background-color: var(--color-background-unread);
  850. &:hover .item .title {
  851. background-color: var(--color-background-unread);
  852. }
  853. }
  854. .flux_header .date,
  855. .flux_content .bottom .date {
  856. color: var(--color-text-light-darker);
  857. }
  858. .bottom {
  859. font-size: 0.8rem;
  860. text-align: center;
  861. }
  862. label {
  863. color: var(--color-text-light);
  864. cursor: pointer;
  865. }
  866. }
  867. .flux_header {
  868. font-size: 0.8rem;
  869. cursor: pointer;
  870. .title {
  871. font-size: 0.9rem;
  872. }
  873. }
  874. .notification {
  875. padding: 10px 0;
  876. width: var(--width-aside);
  877. height: auto;
  878. color: var(--color-text-light-darker);
  879. font-size: 1em;
  880. border: none;
  881. background-color: var(--color-background-light-darker);
  882. text-align: center;
  883. font-weight: bold;
  884. vertical-align: middle;
  885. position: fixed;
  886. bottom: 48px;
  887. left: 0;
  888. top: auto;
  889. &.good,
  890. &.bad {
  891. color: var(--color-text-light);
  892. }
  893. &.good {
  894. background-color: var(--color-background-good);
  895. a.close:hover {
  896. background-color: var(--color-background-good);
  897. }
  898. }
  899. &.bad {
  900. background-color: var(--color-background-bad);
  901. a.close:hover {
  902. background-color: var(--color-background-bad);
  903. }
  904. }
  905. a.close {
  906. display: none;
  907. }
  908. }
  909. #bigMarkAsRead.big {
  910. text-align: center;
  911. text-decoration: none;
  912. background: var(--color-background-light-darker);
  913. &:hover {
  914. background-color: var(--color-background-aside);
  915. color: var(--color-text-light);
  916. }
  917. }
  918. #nav_entries {
  919. background-color: var(--color-background-aside);
  920. }
  921. .stat {
  922. margin: 10px 0 20px;
  923. th,
  924. td,
  925. tr {
  926. border: none;
  927. }
  928. > table {
  929. td,
  930. th {
  931. border-bottom: 1px solid var(--color-border-light-darker);
  932. }
  933. }
  934. }
  935. #overlay {
  936. z-index: 100;
  937. .close .icon {
  938. filter: brightness(3);
  939. }
  940. }
  941. #panel {
  942. z-index: 100;
  943. .nav_menu {
  944. position: relative;
  945. }
  946. }
  947. body:not(:has(nav#aside_feed)) {
  948. #global {
  949. height: 0;
  950. }
  951. .logo {
  952. right: 30px;
  953. }
  954. .header {
  955. background-color: var(--color-background-nav);
  956. height: 2.4rem;
  957. position: relative;
  958. > .item {
  959. &.configure {
  960. width: auto;
  961. position: absolute;
  962. white-space: nowrap;
  963. .icon {
  964. filter: brightness(3);
  965. }
  966. }
  967. }
  968. }
  969. }
  970. .controller_error div.alert-error {
  971. margin-top: 3rem;
  972. }
  973. body.register {
  974. form div:last-child > a {
  975. float: right;
  976. position: relative;
  977. right: 0.2rem;
  978. }
  979. }
  980. a.signin {
  981. color: var(--color-text-light);
  982. font-size: 70%;
  983. position: absolute;
  984. top: 0.5rem;
  985. right: 1.8rem;
  986. text-wrap: nowrap;
  987. transform: scale(1.5);
  988. .icon {
  989. filter: brightness(3);
  990. }
  991. }
  992. .log-item {
  993. &.log-error {
  994. background-color: var(--color-background-bad);
  995. color: var(--color-text-light);
  996. }
  997. &.log-warning {
  998. background-color: var(--color-background-alert);
  999. color: var(--color-text-light);
  1000. }
  1001. &.log-debug {
  1002. background: var(--color-background-dark);
  1003. color: var(--color-text-light);
  1004. }
  1005. }
  1006. body.reader {
  1007. #nav_menu_toggle_aside {
  1008. margin-top: -2px;
  1009. height: 32px;
  1010. }
  1011. nav.aside_feed > a.toggle_aside {
  1012. text-align: center;
  1013. }
  1014. .aside.visible {
  1015. padding-top: 0;
  1016. }
  1017. }
  1018. main.global {
  1019. margin: 1rem;
  1020. }
  1021. .dropdown .dropdown-section:last-child > ul:first-child {
  1022. margin-top: 0.4rem;
  1023. }
  1024. .labels {
  1025. span.emptyLabels {
  1026. color: white;
  1027. margin-left: 1rem;
  1028. }
  1029. ul.dropdown-menu-scrollable > li:nth-child(3) {
  1030. margin-top: 0.5rem;
  1031. }
  1032. }
  1033. @media (max-width: 840px) {
  1034. body:not(.formLogin, .register) {
  1035. .header {
  1036. .item.title {
  1037. display: none;
  1038. }
  1039. }
  1040. }
  1041. body.normal, body.reader, body.global {
  1042. .item.configure {
  1043. right: 76px;
  1044. }
  1045. a.signin {
  1046. right: 0;
  1047. }
  1048. }
  1049. .horizontal-list {
  1050. .dropdown {
  1051. position: inherit !important;
  1052. }
  1053. }
  1054. #nav_menu_sort,
  1055. #nav_menu_sort .dropdown,
  1056. #toggle-order {
  1057. position: fixed;
  1058. right: 0;
  1059. }
  1060. #nav_menu_sort .dropdown-menu {
  1061. position: absolute;
  1062. right: 0;
  1063. }
  1064. #nav_menu_sort .dropdown-menu,
  1065. #nav_menu_read_all .dropdown-menu,
  1066. #dropdown-search-wrapper .dropdown-menu,
  1067. #nav_menu_queries .dropdown-menu {
  1068. top: 4.4rem;
  1069. }
  1070. #nav_menu_sort .dropdown-menu,
  1071. #nav_menu_read_all .dropdown-menu,
  1072. #nav_menu_actions .dropdown-menu {
  1073. position: fixed;
  1074. }
  1075. body:not(.normal):not(.reader):not(.add) {
  1076. nav.configure a.dropdown-toggle {
  1077. position: fixed;
  1078. top: 0;
  1079. }
  1080. &:not(.global) {
  1081. .nav_menu {
  1082. height: 2.2rem;
  1083. }
  1084. nav.configure a.dropdown-toggle {
  1085. right: 0;
  1086. }
  1087. }
  1088. &.global {
  1089. nav.configure a.dropdown-toggle {
  1090. right: 2.4rem;
  1091. }
  1092. }
  1093. }
  1094. body.repartition {
  1095. .nav_menu {
  1096. position: fixed;
  1097. height: 3rem !important;
  1098. }
  1099. main.post {
  1100. margin-top: 4rem;
  1101. }
  1102. .nav_menu .btn {
  1103. display: block;
  1104. }
  1105. .nav_menu #feed_select {
  1106. padding: 0;
  1107. display: block;
  1108. margin-left: 5rem;
  1109. margin-bottom: 0.5rem;
  1110. }
  1111. }
  1112. .form-group .group-name {
  1113. padding-bottom: 0;
  1114. text-align: left;
  1115. }
  1116. .dropdown {
  1117. position: relative;
  1118. .dropdown-menu {
  1119. width: auto;
  1120. }
  1121. }
  1122. #new-article {
  1123. margin-top: 2rem;
  1124. width: 100%;
  1125. }
  1126. .header {
  1127. display: table;
  1128. .item {
  1129. padding: 0;
  1130. }
  1131. .item.configure {
  1132. padding: 0;
  1133. > .icon {
  1134. margin-top: 5px;
  1135. }
  1136. }
  1137. }
  1138. button.read_all.btn {
  1139. display: none;
  1140. }
  1141. .flux .item.manage,
  1142. .flux_header .item.website {
  1143. width: 35px;
  1144. text-align: center;
  1145. }
  1146. .aside {
  1147. padding: 0;
  1148. width: 0;
  1149. .toggle_aside {
  1150. background-color: var(--color-background-aside);
  1151. &:hover {
  1152. background-color: var(--color-background-nav);
  1153. }
  1154. .icon {
  1155. filter: brightness(3);
  1156. }
  1157. }
  1158. &.aside_feed .configure-feeds {
  1159. display: flex;
  1160. margin-top: 0;
  1161. margin-left: auto;
  1162. margin-right: auto;
  1163. }
  1164. &:target {
  1165. width: 78% !important;
  1166. z-index: 1000;
  1167. }
  1168. }
  1169. #slider {
  1170. .toggle_aside {
  1171. background-color: var(--color-background-aside);
  1172. &:hover {
  1173. background-color: var(--color-background-nav);
  1174. }
  1175. .icon {
  1176. filter: brightness(3);
  1177. }
  1178. }
  1179. }
  1180. .nav_menu {
  1181. height: 71px;
  1182. .btn {
  1183. margin: 0;
  1184. }
  1185. .stick,
  1186. .group {
  1187. margin: 0;
  1188. .btn {
  1189. margin: 0;
  1190. }
  1191. }
  1192. .item.search {
  1193. top: 3px;
  1194. margin-left: 77px;
  1195. width: calc(100% - 4 * 38px);
  1196. position: relative;
  1197. form {
  1198. display: block;
  1199. }
  1200. input {
  1201. width: 100%;
  1202. }
  1203. }
  1204. #nav_menu_toggle_aside {
  1205. position: absolute;
  1206. }
  1207. }
  1208. #overlay .close,
  1209. .dropdown-menu .toggle_aside {
  1210. background-color: var(--color-background-aside);
  1211. display: block;
  1212. height: 50px;
  1213. line-height: 3.5;
  1214. text-align: center;
  1215. padding-right: 10px;
  1216. &:hover {
  1217. background-color: var(--color-background-nav);
  1218. }
  1219. }
  1220. .dropdown-target:target ~ .dropdown-toggle::after,
  1221. .dropdown-target:target ~ .dropdown-toggle.btn::after {
  1222. display: none;
  1223. }
  1224. .share .dropdown-menu {
  1225. right: 3%;
  1226. left: auto;
  1227. }
  1228. .transition .name {
  1229. font-size: 1.1rem;
  1230. }
  1231. .notification {
  1232. width: 100%;
  1233. a.close {
  1234. background: transparent;
  1235. display: block;
  1236. left: 0;
  1237. &:hover {
  1238. opacity: 0.5;
  1239. }
  1240. .icon {
  1241. display: none;
  1242. }
  1243. }
  1244. }
  1245. #nav_entries {
  1246. width: 100% !important;
  1247. }
  1248. .post {
  1249. padding-left: 15px;
  1250. padding-right: 15px;
  1251. }
  1252. div#stream {
  1253. margin-top: 0px;
  1254. }
  1255. a.btn.toggle_aside {
  1256. position: absolute;
  1257. top: 0;
  1258. }
  1259. form#mark-read-menu,
  1260. a#actualize,
  1261. div#nav_menu_actions,
  1262. div#nav_menu_views {
  1263. position: absolute;
  1264. }
  1265. form#mark-read-menu {
  1266. right: 38px;
  1267. top: 0;
  1268. }
  1269. a#actualize {
  1270. right: 0;
  1271. top: 0;
  1272. }
  1273. a#toggle-order,
  1274. div#nav_menu_actions,
  1275. div#nav_menu_views {
  1276. top: 36px;
  1277. }
  1278. div#nav_menu_actions {
  1279. left: 0px;
  1280. }
  1281. div#nav_menu_views {
  1282. right: 32px;
  1283. }
  1284. body:is(.normal, .reader, .global) {
  1285. .nav_menu {
  1286. display: flex;
  1287. height: auto;
  1288. flex-wrap: wrap;
  1289. align-items: center;
  1290. row-gap: 2px;
  1291. padding-right: 3rem; /* room for absolute-positioned cog */
  1292. }
  1293. .nav_menu .item.search {
  1294. position: static;
  1295. top: auto;
  1296. width: auto;
  1297. flex: 1 1 140px;
  1298. min-width: 100px;
  1299. margin-left: 0;
  1300. }
  1301. .nav_menu form#mark-read-menu,
  1302. .nav_menu a#actualize,
  1303. .nav_menu div#nav_menu_actions,
  1304. .nav_menu div#nav_menu_views,
  1305. .nav_menu a#toggle-order,
  1306. .nav_menu #nav_menu_sort,
  1307. .nav_menu #nav_menu_sort .dropdown {
  1308. position: static;
  1309. top: auto;
  1310. right: auto;
  1311. left: auto;
  1312. }
  1313. .item.configure {
  1314. right: 0;
  1315. }
  1316. }
  1317. }
  1318. @media (max-width: 410px) {
  1319. .nav_menu .stick {
  1320. margin: 0;
  1321. }
  1322. }
  1323. button.as-link {
  1324. outline: none;
  1325. }
  1326. .dropdown-target:target ~ .btn.dropdown-toggle {
  1327. background-color: var(--color-background-nav-darker);
  1328. }
  1329. .tree-folder.active .tree-folder-title {
  1330. background-color: var(--color-background-nav-darker);
  1331. font-weight: bold;
  1332. }
  1333. .feed.item {
  1334. &.empty {
  1335. color: var(--color-text-alert);
  1336. &.active {
  1337. background-color: var(--color-background-alert);
  1338. color: var(--color-text-light);
  1339. > a {
  1340. color: var(--color-text-light);
  1341. }
  1342. }
  1343. > a {
  1344. color: var(--color-text-alert);
  1345. }
  1346. }
  1347. &.error {
  1348. color: var(--color-text-bad-lighter);
  1349. &.active {
  1350. background-color: var(--color-background-bad);
  1351. color: var(--color-text-light);
  1352. > a {
  1353. color: var(--color-text-light);
  1354. }
  1355. }
  1356. > a {
  1357. color: var(--color-text-bad-lighter);
  1358. }
  1359. }
  1360. }
  1361. #stream.reader .flux {
  1362. background-color: var(--color-background-light);
  1363. color: var(--color-text-aside);
  1364. border: none;
  1365. &::after {
  1366. border: none;
  1367. }
  1368. .flux_content {
  1369. border-color: var(--color-border-grey);
  1370. }
  1371. .author {
  1372. color: var(--color-text-light-darker);
  1373. }
  1374. }
  1375. #nav_menu_actions {
  1376. ul.dropdown-menu {
  1377. left: 0;
  1378. right: auto;
  1379. &::after {
  1380. display: none;
  1381. }
  1382. }
  1383. .dropdown.only-mobile {
  1384. display: initial !important;
  1385. }
  1386. }
  1387. #nav_menu_read_all {
  1388. ul.dropdown-menu {
  1389. &::after {
  1390. display: none;
  1391. }
  1392. }
  1393. }
  1394. #slider {
  1395. label {
  1396. min-height: initial;
  1397. }
  1398. }
  1399. body:has(.aside:not(.visible)) .header .item.title,
  1400. body.reader .header .item.title {
  1401. display: none;
  1402. }